@import "typography.css";

 /* Fonts */
@font-face {
  font-family: "EB Garamond";
  src: url('EBGaramond-VariableFont_wght.woff2') format('woff2 supports variations'),
    url('EBGaramond-VariableFont_wght.woff2') format('woff2-variations');
  font-weight: 400 800;
  font-style: normal;
}

@font-face {
  font-family: "EB Garamond";
  src: url('EBGaramond-Italic-VariableFont_wght.woff2') format('woff2 supports variations'),
    url('EBGaramond-Italic-VariableFont_wght.woff2') format('woff2-variations');
  font-weight: 400 800;
  font-style: italic;
}

/* Variables */
:root {
      /* Typos */
  --font-serif: "EB Garamond", serif;
  --font-sans: "Helvetica Neue", sans-serif;
  --font-style-italic:italic;

  /* Couleurs de base */
    --main-color: rgba(0, 0, 0, 0.85); 

  /* Contours */
  --border-width:1px;
  --border:var(--border-width) solid var(--main-color);
}

/* Réinitialisation globale des styles */
  * {
      text-decoration: inherit;
      color: inherit;
      font-size: inherit;
      margin: 0;
      padding: 0;
      list-style: none;
  }

 html {
  scroll-behavior: smooth;
 }

  #layout-full-width {
      width: 100%;
      padding: 1em 0;
  }


  .layout-narrow {
      width: 70%;
      margin-left: 30%;
  }


  #about {
      border-bottom: 1px solid #000;
      margin-right: 1em;
  }

  /* === 4. Navigation & Menus === */
  div.Menu {
      position: fixed;
      right: 0;
      display: flex;
      flex-wrap: wrap;
      list-style: none;
      margin-right: 1em;
      
  }

  /* === 5. Listes & Projets === */
   .NavProjets {
    padding: 3px 0;
    list-style: none;
    margin-right: 1em;
    border-top: 1px solid #000000;
  }

  .NavProjets li {
      counter-increment: custom-counter;
      position: relative;
      padding-left: 0.6em;
      border-top: 1px solid #000;
      align-items: flex-end;
  }

  /* === 7. Interactions & Effets === */
  body a:hover,
  span.italic:hover,
  nav.Menu a:hover {
      font-style: italic;
  }

  header a:hover {
      font-style: normal;
  }

 .NavProjets a:hover {
   /*--color: #999999;*/
   font-style: normal
  }

#section-footer {
      display: flex;
      flex-direction: row;
      gap: 10px;
      align-items: flex-end;
      line-height: 0.5;
  }

  footer {
      bottom: 0;
      position: relative;
      margin-bottom: 1em;
  }


  /* mobile */
@media (max-width:780px) {


   .layout-narrow {
      width: 95%;
      margin-left: 0;
      margin: 1em;
  }

    #layout-full-width {
      width: 95%;
      margin-left: 0;
      margin: 1em;
  }

   .HeaderTop{
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    margin-inline: 1em;
  }

   div.Menu {
      position: absolute;
  }

  #about-text {
    font-size: 36px;
}

#section-footer {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    line-height: 0.5;
}
}

/* desktop */
@media (min-width:780px) {
  .HeaderTop{
    position: fixed;
  }

  .titre {
    position: fixed !important;

  }
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    text-rendering: geometricPrecision;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-tap-highlight-color: transparent;
}

html {
    font-size: calc(16px + ((100vw - 600px) / 250));
    padding: 0;
    text-decoration-skip-ink: "auto";
    margin: auto;
    min-height: 100%;
    overflow-x: hidden;
    list-style: none;
}

